package com.mortals.xhx.module.appointment.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.appointment.model.AppointmentPersonEntity;
/**
 * 预约人员记录查询对象
 *
 * @author zxfei
 * @date 2023-04-16
 */
public class AppointmentPersonQuery extends AppointmentPersonEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 开始 人员id */
    private Long personIdStart;

    /** 结束 人员id */
    private Long personIdEnd;

    /** 增加 人员id */
    private Long personIdIncrement;

    /** 人员id列表 */
    private List <Long> personIdList;

    /** 人员id排除列表 */
    private List <Long> personIdNotList;

    /** 姓名 */
    private List<String> nameList;

    /** 姓名排除列表 */
    private List <String> nameNotList;
    /** 联系方式 */
    private List<String> contactInfoList;

    /** 联系方式排除列表 */
    private List <String> contactInfoNotList;
    /** 身份证号码 */
    private List<String> idCardList;

    /** 身份证号码排除列表 */
    private List <String> idCardNotList;
    /** 开始 业务Id */
    private Long bussinessIdStart;

    /** 结束 业务Id */
    private Long bussinessIdEnd;

    /** 增加 业务Id */
    private Long bussinessIdIncrement;

    /** 业务Id列表 */
    private List <Long> bussinessIdList;

    /** 业务Id排除列表 */
    private List <Long> bussinessIdNotList;

    /** 预约业务 */
    private List<String> bussinessNameList;

    /** 预约业务排除列表 */
    private List <String> bussinessNameNotList;
    /** 预约编号 */
    private List<String> appontmentNumberList;

    /** 预约编号排除列表 */
    private List <String> appontmentNumberNotList;
    /** 开始 预约开始时间 */
    private String appointmentStartTimeStart;

    /** 结束 预约开始时间 */
    private String appointmentStartTimeEnd;

    /** 开始 预约结束时间 */
    private String appointmentEndTimeStart;

    /** 结束 预约结束时间 */
    private String appointmentEndTimeEnd;

    /** 开始 创建人id */
    private Long createUserIdStart;

    /** 结束 创建人id */
    private Long createUserIdEnd;

    /** 增加 创建人id */
    private Long createUserIdIncrement;

    /** 创建人id列表 */
    private List <Long> createUserIdList;

    /** 创建人id排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新人id */
    private Long updateUserIdStart;

    /** 结束 更新人id */
    private Long updateUserIdEnd;

    /** 增加 更新人id */
    private Long updateUserIdIncrement;

    /** 更新人id列表 */
    private List <Long> updateUserIdList;

    /** 更新人id排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AppointmentPersonQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AppointmentPersonQuery> andConditionList;

    public AppointmentPersonQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点Id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点Id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点Id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点Id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点Id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 站点名称
     * @return siteNameList
     */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
     * 获取 站点名称
     * @return siteNameNotList
     */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
     * 设置 站点名称
     * @param siteNameNotList
     */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
     * 获取 开始 人员id
     * @return personIdStart
     */
    public Long getPersonIdStart(){
        return this.personIdStart;
    }

    /**
     * 设置 开始 人员id
     * @param personIdStart
     */
    public void setPersonIdStart(Long personIdStart){
        this.personIdStart = personIdStart;
    }

    /**
     * 获取 结束 人员id
     * @return $personIdEnd
     */
    public Long getPersonIdEnd(){
        return this.personIdEnd;
    }

    /**
     * 设置 结束 人员id
     * @param personIdEnd
     */
    public void setPersonIdEnd(Long personIdEnd){
        this.personIdEnd = personIdEnd;
    }

    /**
     * 获取 增加 人员id
     * @return personIdIncrement
     */
    public Long getPersonIdIncrement(){
        return this.personIdIncrement;
    }

    /**
     * 设置 增加 人员id
     * @param personIdIncrement
     */
    public void setPersonIdIncrement(Long personIdIncrement){
        this.personIdIncrement = personIdIncrement;
    }

    /**
     * 获取 人员id
     * @return personIdList
     */
    public List<Long> getPersonIdList(){
        return this.personIdList;
    }

    /**
     * 设置 人员id
     * @param personIdList
     */
    public void setPersonIdList(List<Long> personIdList){
        this.personIdList = personIdList;
    }

    /**
     * 获取 人员id
     * @return personIdNotList
     */
    public List<Long> getPersonIdNotList(){
        return this.personIdNotList;
    }

    /**
     * 设置 人员id
     * @param personIdNotList
     */
    public void setPersonIdNotList(List<Long> personIdNotList){
        this.personIdNotList = personIdNotList;
    }


    /**
     * 获取 姓名
     * @return nameList
     */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
     * 设置 姓名
     * @param nameList
     */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
     * 获取 姓名
     * @return nameNotList
     */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
     * 设置 姓名
     * @param nameNotList
     */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
     * 获取 联系方式
     * @return contactInfoList
     */
    public List<String> getContactInfoList(){
        return this.contactInfoList;
    }

    /**
     * 设置 联系方式
     * @param contactInfoList
     */
    public void setContactInfoList(List<String> contactInfoList){
        this.contactInfoList = contactInfoList;
    }

    /**
     * 获取 联系方式
     * @return contactInfoNotList
     */
    public List<String> getContactInfoNotList(){
        return this.contactInfoNotList;
    }

    /**
     * 设置 联系方式
     * @param contactInfoNotList
     */
    public void setContactInfoNotList(List<String> contactInfoNotList){
        this.contactInfoNotList = contactInfoNotList;
    }

    /**
     * 获取 身份证号码
     * @return idCardList
     */
    public List<String> getIdCardList(){
        return this.idCardList;
    }

    /**
     * 设置 身份证号码
     * @param idCardList
     */
    public void setIdCardList(List<String> idCardList){
        this.idCardList = idCardList;
    }

    /**
     * 获取 身份证号码
     * @return idCardNotList
     */
    public List<String> getIdCardNotList(){
        return this.idCardNotList;
    }

    /**
     * 设置 身份证号码
     * @param idCardNotList
     */
    public void setIdCardNotList(List<String> idCardNotList){
        this.idCardNotList = idCardNotList;
    }

    /**
     * 获取 开始 业务Id
     * @return bussinessIdStart
     */
    public Long getBussinessIdStart(){
        return this.bussinessIdStart;
    }

    /**
     * 设置 开始 业务Id
     * @param bussinessIdStart
     */
    public void setBussinessIdStart(Long bussinessIdStart){
        this.bussinessIdStart = bussinessIdStart;
    }

    /**
     * 获取 结束 业务Id
     * @return $bussinessIdEnd
     */
    public Long getBussinessIdEnd(){
        return this.bussinessIdEnd;
    }

    /**
     * 设置 结束 业务Id
     * @param bussinessIdEnd
     */
    public void setBussinessIdEnd(Long bussinessIdEnd){
        this.bussinessIdEnd = bussinessIdEnd;
    }

    /**
     * 获取 增加 业务Id
     * @return bussinessIdIncrement
     */
    public Long getBussinessIdIncrement(){
        return this.bussinessIdIncrement;
    }

    /**
     * 设置 增加 业务Id
     * @param bussinessIdIncrement
     */
    public void setBussinessIdIncrement(Long bussinessIdIncrement){
        this.bussinessIdIncrement = bussinessIdIncrement;
    }

    /**
     * 获取 业务Id
     * @return bussinessIdList
     */
    public List<Long> getBussinessIdList(){
        return this.bussinessIdList;
    }

    /**
     * 设置 业务Id
     * @param bussinessIdList
     */
    public void setBussinessIdList(List<Long> bussinessIdList){
        this.bussinessIdList = bussinessIdList;
    }

    /**
     * 获取 业务Id
     * @return bussinessIdNotList
     */
    public List<Long> getBussinessIdNotList(){
        return this.bussinessIdNotList;
    }

    /**
     * 设置 业务Id
     * @param bussinessIdNotList
     */
    public void setBussinessIdNotList(List<Long> bussinessIdNotList){
        this.bussinessIdNotList = bussinessIdNotList;
    }


    /**
     * 获取 预约业务
     * @return bussinessNameList
     */
    public List<String> getBussinessNameList(){
        return this.bussinessNameList;
    }

    /**
     * 设置 预约业务
     * @param bussinessNameList
     */
    public void setBussinessNameList(List<String> bussinessNameList){
        this.bussinessNameList = bussinessNameList;
    }

    /**
     * 获取 预约业务
     * @return bussinessNameNotList
     */
    public List<String> getBussinessNameNotList(){
        return this.bussinessNameNotList;
    }

    /**
     * 设置 预约业务
     * @param bussinessNameNotList
     */
    public void setBussinessNameNotList(List<String> bussinessNameNotList){
        this.bussinessNameNotList = bussinessNameNotList;
    }

    /**
     * 获取 预约编号
     * @return appontmentNumberList
     */
    public List<String> getAppontmentNumberList(){
        return this.appontmentNumberList;
    }

    /**
     * 设置 预约编号
     * @param appontmentNumberList
     */
    public void setAppontmentNumberList(List<String> appontmentNumberList){
        this.appontmentNumberList = appontmentNumberList;
    }

    /**
     * 获取 预约编号
     * @return appontmentNumberNotList
     */
    public List<String> getAppontmentNumberNotList(){
        return this.appontmentNumberNotList;
    }

    /**
     * 设置 预约编号
     * @param appontmentNumberNotList
     */
    public void setAppontmentNumberNotList(List<String> appontmentNumberNotList){
        this.appontmentNumberNotList = appontmentNumberNotList;
    }

    /**
     * 获取 开始 预约开始时间
     * @return appointmentStartTimeStart
     */
    public String getAppointmentStartTimeStart(){
        return this.appointmentStartTimeStart;
    }

    /**
     * 设置 开始 预约开始时间
     * @param appointmentStartTimeStart
     */
    public void setAppointmentStartTimeStart(String appointmentStartTimeStart){
        this.appointmentStartTimeStart = appointmentStartTimeStart;
    }

    /**
     * 获取 结束 预约开始时间
     * @return appointmentStartTimeEnd
     */
    public String getAppointmentStartTimeEnd(){
        return this.appointmentStartTimeEnd;
    }

    /**
     * 设置 结束 预约开始时间
     * @param appointmentStartTimeEnd
     */
    public void setAppointmentStartTimeEnd(String appointmentStartTimeEnd){
        this.appointmentStartTimeEnd = appointmentStartTimeEnd;
    }

    /**
     * 获取 开始 预约结束时间
     * @return appointmentEndTimeStart
     */
    public String getAppointmentEndTimeStart(){
        return this.appointmentEndTimeStart;
    }

    /**
     * 设置 开始 预约结束时间
     * @param appointmentEndTimeStart
     */
    public void setAppointmentEndTimeStart(String appointmentEndTimeStart){
        this.appointmentEndTimeStart = appointmentEndTimeStart;
    }

    /**
     * 获取 结束 预约结束时间
     * @return appointmentEndTimeEnd
     */
    public String getAppointmentEndTimeEnd(){
        return this.appointmentEndTimeEnd;
    }

    /**
     * 设置 结束 预约结束时间
     * @param appointmentEndTimeEnd
     */
    public void setAppointmentEndTimeEnd(String appointmentEndTimeEnd){
        this.appointmentEndTimeEnd = appointmentEndTimeEnd;
    }

    /**
     * 获取 开始 创建人id
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建人id
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建人id
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建人id
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建人id
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建人id
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建人id
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建人id
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建人id
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建人id
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新人id
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新人id
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新人id
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新人id
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新人id
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新人id
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新人id
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新人id
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新人id
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新人id
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public AppointmentPersonQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public AppointmentPersonQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public AppointmentPersonQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public AppointmentPersonQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public AppointmentPersonQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public AppointmentPersonQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点Id
     * @param siteId
     */
    public AppointmentPersonQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public AppointmentPersonQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public AppointmentPersonQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public AppointmentPersonQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public AppointmentPersonQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public AppointmentPersonQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 站点名称
     * @param siteName
     */
    public AppointmentPersonQuery siteName(String siteName){
        setSiteName(siteName);
        return this;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public AppointmentPersonQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
        return this;
    }

    /**
     * 设置  人员id
     * @param personId
     */
    public AppointmentPersonQuery personId(Long personId){
        setPersonId(personId);
        return this;
    }

    /**
     * 设置 开始 人员id
     * @param personIdStart
     */
    public AppointmentPersonQuery personIdStart(Long personIdStart){
        this.personIdStart = personIdStart;
        return this;
    }

    /**
     * 设置 结束 人员id
     * @param personIdEnd
     */
    public AppointmentPersonQuery personIdEnd(Long personIdEnd){
        this.personIdEnd = personIdEnd;
        return this;
    }

    /**
     * 设置 增加 人员id
     * @param personIdIncrement
     */
    public AppointmentPersonQuery personIdIncrement(Long personIdIncrement){
        this.personIdIncrement = personIdIncrement;
        return this;
    }

    /**
     * 设置 人员id
     * @param personIdList
     */
    public AppointmentPersonQuery personIdList(List<Long> personIdList){
        this.personIdList = personIdList;
        return this;
    }

    /**
     * 设置 人员id
     * @param personIdNotList
     */
    public AppointmentPersonQuery personIdNotList(List<Long> personIdNotList){
        this.personIdNotList = personIdNotList;
        return this;
    }


    /**
     * 设置 姓名
     * @param name
     */
    public AppointmentPersonQuery name(String name){
        setName(name);
        return this;
    }

    /**
     * 设置 姓名
     * @param nameList
     */
    public AppointmentPersonQuery nameList(List<String> nameList){
        this.nameList = nameList;
        return this;
    }


    /**
     * 设置 联系方式
     * @param contactInfo
     */
    public AppointmentPersonQuery contactInfo(String contactInfo){
        setContactInfo(contactInfo);
        return this;
    }

    /**
     * 设置 联系方式
     * @param contactInfoList
     */
    public AppointmentPersonQuery contactInfoList(List<String> contactInfoList){
        this.contactInfoList = contactInfoList;
        return this;
    }


    /**
     * 设置 身份证号码
     * @param idCard
     */
    public AppointmentPersonQuery idCard(String idCard){
        setIdCard(idCard);
        return this;
    }

    /**
     * 设置 身份证号码
     * @param idCardList
     */
    public AppointmentPersonQuery idCardList(List<String> idCardList){
        this.idCardList = idCardList;
        return this;
    }

    /**
     * 设置  业务Id
     * @param bussinessId
     */
    public AppointmentPersonQuery bussinessId(Long bussinessId){
        setBussinessId(bussinessId);
        return this;
    }

    /**
     * 设置 开始 业务Id
     * @param bussinessIdStart
     */
    public AppointmentPersonQuery bussinessIdStart(Long bussinessIdStart){
        this.bussinessIdStart = bussinessIdStart;
        return this;
    }

    /**
     * 设置 结束 业务Id
     * @param bussinessIdEnd
     */
    public AppointmentPersonQuery bussinessIdEnd(Long bussinessIdEnd){
        this.bussinessIdEnd = bussinessIdEnd;
        return this;
    }

    /**
     * 设置 增加 业务Id
     * @param bussinessIdIncrement
     */
    public AppointmentPersonQuery bussinessIdIncrement(Long bussinessIdIncrement){
        this.bussinessIdIncrement = bussinessIdIncrement;
        return this;
    }

    /**
     * 设置 业务Id
     * @param bussinessIdList
     */
    public AppointmentPersonQuery bussinessIdList(List<Long> bussinessIdList){
        this.bussinessIdList = bussinessIdList;
        return this;
    }

    /**
     * 设置 业务Id
     * @param bussinessIdNotList
     */
    public AppointmentPersonQuery bussinessIdNotList(List<Long> bussinessIdNotList){
        this.bussinessIdNotList = bussinessIdNotList;
        return this;
    }


    /**
     * 设置 预约业务
     * @param bussinessName
     */
    public AppointmentPersonQuery bussinessName(String bussinessName){
        setBussinessName(bussinessName);
        return this;
    }

    /**
     * 设置 预约业务
     * @param bussinessNameList
     */
    public AppointmentPersonQuery bussinessNameList(List<String> bussinessNameList){
        this.bussinessNameList = bussinessNameList;
        return this;
    }


    /**
     * 设置 预约编号
     * @param appontmentNumber
     */
    public AppointmentPersonQuery appontmentNumber(String appontmentNumber){
        setAppontmentNumber(appontmentNumber);
        return this;
    }

    /**
     * 设置 预约编号
     * @param appontmentNumberList
     */
    public AppointmentPersonQuery appontmentNumberList(List<String> appontmentNumberList){
        this.appontmentNumberList = appontmentNumberList;
        return this;
    }



    /**
     * 设置  创建人id
     * @param createUserId
     */
    public AppointmentPersonQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建人id
     * @param createUserIdStart
     */
    public AppointmentPersonQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建人id
     * @param createUserIdEnd
     */
    public AppointmentPersonQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建人id
     * @param createUserIdIncrement
     */
    public AppointmentPersonQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建人id
     * @param createUserIdList
     */
    public AppointmentPersonQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建人id
     * @param createUserIdNotList
     */
    public AppointmentPersonQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新人id
     * @param updateUserId
     */
    public AppointmentPersonQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新人id
     * @param updateUserIdStart
     */
    public AppointmentPersonQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新人id
     * @param updateUserIdEnd
     */
    public AppointmentPersonQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新人id
     * @param updateUserIdIncrement
     */
    public AppointmentPersonQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新人id
     * @param updateUserIdList
     */
    public AppointmentPersonQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新人id
     * @param updateUserIdNotList
     */
    public AppointmentPersonQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<AppointmentPersonQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<AppointmentPersonQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<AppointmentPersonQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<AppointmentPersonQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}